﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Runtime.InteropServices;

namespace howto_remove_close_x
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        // Declare User32 constants and methods.
        private const int MF_BYPOSITION = 0x400;

        [DllImport("User32")]
        private static extern IntPtr GetSystemMenu(IntPtr hWnd, bool bRevert);

        [DllImport("User32")]
        private static extern int GetMenuItemCount(IntPtr hWnd);

        [DllImport("User32")]
        private static extern int RemoveMenu(IntPtr hMenu, int nPosition, int wFlags);

        // Remove the X button.
        private void Form1_Load(object sender, EventArgs e)
        {
            IntPtr hMenu = GetSystemMenu(this.Handle, false);
            int num_menu_items = GetMenuItemCount(hMenu);

            //for (int i = num_menu_items - 1; i >= 0; i--)
            //{
            //    RemoveMenu(hMenu, i, MF_BYPOSITION);
            //}
            RemoveMenu(hMenu, num_menu_items - 1, MF_BYPOSITION);
            RemoveMenu(hMenu, num_menu_items - 2, MF_BYPOSITION);
        }

        // Close.
        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
